using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace DTable_App.admin
{
	/// <summary>
	/// Admin_bbs_ggEDT 的摘要说明。
	/// </summary>
	public class Admin_bbs_ggEDT : System.Web.UI.Page
	{
		protected dtable.dTable DTable1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			sharecode.CheckAdmin();
			sharecode.CheckAdminQx("论坛公告管理");
			DTable1.TableName="DTable_BBS_info";
			DTable1.ConnStr =sharecode.ConnStr;
			DTable1.List_SQL="select a.id,a.广播主题,b.栏目名称,a.开始时间,a.结束时间,a.发布人,a.发布时间,a.点击率 from DTable_BBS_info a inner join DTable_BBS_Board b on a.所属栏目=b.id order by a.id desc";
			DTable1.Edit_FieldList ="id,所属栏目,广播主题,开始时间,结束时间,发布人,点击率,广播内容";
			DTable1.Edit_FieldFormat="1||dbselectvalue|select id,栏目名称 from DTable_BBS_Board||||^7||htmledit|../DTableBBS/img_up/||||";

			DTable1.AdminMode=true;

		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
